Bug 436038 - glibc-2.5-18 fails to build on sparc
glibc-2.5-18 fails to build on sparc
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: glibc (Show other bugs)
5.1
sparcv9 Linux
low Severity medium
: rc
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-04 17:35 EST by Johnny Hughes
Modified: 2010-01-05 11:13 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-11 05:16:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
glibc-sparc-tcbhead_t-gscope_flag-init.patch (636 bytes, patch)
2008-03-11 10:16 EDT, Johnny Hughes
no flags Details | Diff

  None (edit)
Description Johnny Hughes 2008-03-04 17:35:17 EST
Description of problem:
glibc-2.5-18.el5 and 2.5-18.el5_1.1 fail to build on sparcv9 and sparc64.

How reproducible:
Always

With all patches in place the following error occurs:

make -s subdir=nptl -C nptl ..=../ subdir_lib
make[2]: Entering directory `/builddir/build/BUILD/glibc-2.5-20061008T1257/nptl'
mkdir /builddir/build/BUILD/glibc-2.5-20061008T1257/build-sparc-linuxnptl/nptl
make[2]: Leaving directory `/builddir/build/BUILD/glibc-2.5-20061008T1257/nptl'
make[2]: Entering directory `/builddir/build/BUILD/glibc-2.5-20061008T1257/nptl'
In file included from pthread_create.c:52:
allocatestack.c: In function '__wait_lookup_done':
allocatestack.c:1000: error: 'tcbhead_t' has no member named 'gscope_flag'
allocatestack.c:1003: error: 'tcbhead_t' has no member named 'gscope_flag'
allocatestack.c:1022: error: 'tcbhead_t' has no member named 'gscope_flag'
allocatestack.c:1025: error: 'tcbhead_t' has no member named 'gscope_flag'
make[2]: ***
[/builddir/build/BUILD/glibc-2.5-20061008T1257/build-sparc-linuxnptl/nptl/pthread_create.os]
Error 1
make[2]: *** Waiting for unfinished jobs....
make[2]: Leaving directory `/builddir/build/BUILD/glibc-2.5-20061008T1257/nptl'
make[1]: *** [nptl/subdir_lib] Error 2
make[1]: Leaving directory `/builddir/build/BUILD/glibc-2.5-20061008T1257'
make: *** [all] Error 2

This build is on the el5.0 code base with gcc-4.1.2- building el5.1.
(The el5.0 version of glibc-2.5-12 builds OK)

Rolling back the following patches allows glibc-2.5-18.x to build:

Patch108: glibc-ldso-locking1.patch
Patch109: glibc-ldso-locking2.patch
Patch122: glibc-rh295891.patch

After building with the patches rolled back, the tests (in the build process) of
this version are very similar to the tests of glibc-2.5.12.
Comment 1 Jakub Jelinek 2008-03-11 05:16:16 EDT
Unlike Fedora development where we want the SRPMS buildable on SPARC, in RHEL I
have no intent to patch the src.rpms just to let CentOS/SPARC build without
patches.  You simply have to backport the relevant upstream SPARC patches to
make it work yourself.
Comment 2 Johnny Hughes 2008-03-11 10:15:56 EDT
I can and will patch this to make it work for me ... I was just letting you know
that as released the source code is broken so that maybe on the next update
cycle you can roll in the applicable patch.

attached is the patch that fixes the problem
Comment 3 Johnny Hughes 2008-03-11 10:16:55 EDT
Created attachment 297612 [details]
glibc-sparc-tcbhead_t-gscope_flag-init.patch

Note You need to log in before you can comment on or make changes to this bug.